IOSS 2.0

Namespaces | Macros | Functions
Utst_structured_decomp.C File Reference
`#include <catch.hpp>`
`#include <Ioss_ZoneConnectivity.h>`
`#include <cgns/Iocgns_StructuredZoneData.h>`
`#include <cgns/Iocgns_Utils.h>`
`#include <exception>`
`#include <map>`
`#include <numeric>`
`#include <vector>`

## Namespaces
| anonymous_namespace{Utst_structured_decomp.C}

## Macros
#define | CATCH_CONFIG_MAIN

## Functions
void | anonymous_namespace{Utst_structured_decomp.C}::cleanup (std::vector< Iocgns::StructuredZoneData *> &zones)
int64_t | anonymous_namespace{Utst_structured_decomp.C}::generate_guid (size_t id, int rank, int proc_count)
void | anonymous_namespace{Utst_structured_decomp.C}::update_zgc_data (std::vector< Iocgns::StructuredZoneData *> &zones, int proc_count)
void | anonymous_namespace{Utst_structured_decomp.C}::check_split_assign (std::vector< Iocgns::StructuredZoneData *> &zones, double load_balance_tolerance, size_t proc_count, double min_toler=0.9, double max_toler=1.0)
| TEST_CASE ("single block", "[single_block]")
| TEST_CASE ("single block line", "[single_block_line]")
| TEST_CASE ("cube_2blocks", "[cube_2blocks]")
| TEST_CASE ("bump", "[bump_zgc]")
| TEST_CASE ("bump_loose", "[bump_loose_zgc]")
| TEST_CASE ("prime sides", "[prime_sides]")
| TEST_CASE ("farmer plenum", "[farmer_plenum]")
| TEST_CASE ("grv-nose", "[grv-nose]")
| TEST_CASE ("grv", "[grv]")
| TEST_CASE ("grv-large", "[grv-large]")
| TEST_CASE ("mk21", "[mk21]")
| TEST_CASE ("farmer_h1_nozzle", "[h1_nozzle]")
| TEST_CASE ("farmer_h1_mk21", "[h1_mk21]")
| TEST_CASE ("bc-257x129x2", "[bc-257x129x2]")
| TEST_CASE ("64GiElem", "[64GiElem]")
| TEST_CASE ("LotsOfZones", "[LotsOfZones]")

## Macro Definition Documentation

## ◆ CATCH_CONFIG_MAIN

#define CATCH_CONFIG_MAIN

## Function Documentation

## ◆ TEST_CASE() [1/16]

TEST_CASE | ( | "single block" | ,
|  | "" | [single_block]
| ) |  |

## ◆ TEST_CASE() [2/16]

TEST_CASE | ( | "single block line" | ,
|  | "" | [single_block_line]
| ) |  |

## ◆ TEST_CASE() [3/16]

TEST_CASE | ( | "cube_2blocks" | ,
|  | "" | [cube_2blocks]
| ) |  |

## ◆ TEST_CASE() [4/16]

TEST_CASE | ( | "bump" | ,
|  | "" | [bump_zgc]
| ) |  |

## ◆ TEST_CASE() [5/16]

TEST_CASE | ( | "bump_loose" | ,
|  | "" | [bump_loose_zgc]
| ) |  |

## ◆ TEST_CASE() [6/16]

TEST_CASE | ( | "prime sides" | ,
|  | "" | [prime_sides]
| ) |  |

## ◆ TEST_CASE() [7/16]

TEST_CASE | ( | "farmer plenum" | ,
|  | "" | [farmer_plenum]
| ) |  |

## ◆ TEST_CASE() [8/16]

TEST_CASE | ( | "grv-nose" | ,
|  | "" | [grv-nose]
| ) |  |

## ◆ TEST_CASE() [9/16]

TEST_CASE | ( | "grv" | ,
|  | "" | [grv]
| ) |  |

## ◆ TEST_CASE() [10/16]

TEST_CASE | ( | "grv-large" | ,
|  | "" | [grv-large]
| ) |  |

## ◆ TEST_CASE() [11/16]

TEST_CASE | ( | "mk21" | ,
|  | "" | [mk21]
| ) |  |

## ◆ TEST_CASE() [12/16]

TEST_CASE | ( | "farmer_h1_nozzle" | ,
|  | "" | [h1_nozzle]
| ) |  |

## ◆ TEST_CASE() [13/16]

TEST_CASE | ( | "farmer_h1_mk21" | ,
|  | "" | [h1_mk21]
| ) |  |

## ◆ TEST_CASE() [14/16]

TEST_CASE | ( | "bc-257x129x2" | ,
|  | "" | [bc-257x129x2]
| ) |  |

## ◆ TEST_CASE() [15/16]

TEST_CASE | ( | "64GiElem" | ,
|  | "" | [64GiElem]
| ) |  |

## ◆ TEST_CASE() [16/16]

TEST_CASE | ( | "LotsOfZones" | ,
|  | "" | [LotsOfZones]
| ) |  |